Bug 109807 - .unconfigured doesn't return to rhgb
.unconfigured doesn't return to rhgb
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 18:58 EST by Jesse Keating
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-16 21:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to flip back to vt8 if rhgb is present and running (281 bytes, patch)
2003-11-11 18:59 EST, Jesse Keating
no flags Details | Diff

  None (edit)
Description Jesse Keating 2003-11-11 18:58:20 EST
Description of problem:
During system init, rc.sysinit checks for the existance of
/.unconfigured file.  This file causes rc.sysinit to call a few text
based configuration tools.  At the top of the .unconfigured section,
there is a check to see if rhgb is running, and if so, change back to
vt1.  After all of .unconfigured's stuff is ran, it does not return
you to vt8 for rhgb, and so if firstboot is also configured to run,
the end user will never see it.  Instead they'll sit enternally at vt1
seeing no output.

Version-Release number of selected component (if applicable):
initscripts-7.42-1

How reproducible:
Always

Steps to Reproduce:
1. In the %post of a kickstart, or just during the install, touch
/.unconfigured
2. Make sure rhgb is configured
3. Boot the system.
    

Actual Results:  rc.sysinit will switch to vt1 to run .unconfigured
scripts, but never returns.

Expected Results:  After .unconfigured is ran, rc.sysinit would return
to vt8 to finish RHGB and possibly run firstboot.

More Info:  I'll be attaching a patch to rc.sysinit that fixes this issue.
Comment 1 Jesse Keating 2003-11-11 18:59:24 EST
Created attachment 95917 [details]
Patch to flip back to vt8 if rhgb is present and running
Comment 2 Bill Nottingham 2004-03-16 21:57:57 EST
Fixed, will be in 7.47-1. Thanks!

Note You need to log in before you can comment on or make changes to this bug.